Confirmation: NTSC Jp on NTSC Us - When it's safe??

Discussion in 'Wii - Hacking' started by Ricj, Feb 14, 2009.

Feb 14, 2009
  1. Ricj
    OP

    Newcomer Ricj Member

    Joined:
    Feb 14, 2009
    Messages:
    37
    Country:
    United States
    I belive a lot of people have this question over their heads everynow and then , so i hope you guys wont mind answering me about it.

    Tell me if i got this right. I have a NTSC US Wii on 3.1 with an Old Wiikey-Clone. It works fine, but i cant play Castlevania Judgement or Mario Galaxy. Error #001. That's fine, i'll solve it later when i get a SD Card or a new mod-chip. This thread isnt about that.

    From what've read and understand, if i take a Japanese Wii game and put it on my US console, if the game DOES NOT ask for an update, then, it's 100% safe to play that game. No chance of brick.
    But if the JP game asks to do an update, i shouldnt do it unless i know 100% of what im doing.

    Did i understood this right?

    Lately i've wanted to try Tatsunoko Vs Capcom (as it's likely it will never come to the US) and Naruto Shippuden for the Wii... but i wanted to be sure that it was safe first.

    Could somebody clear this up for me?
     
  2. ether2802

    Former Staff ether2802 we have the techno...!!

    Joined:
    Oct 14, 2007
    Messages:
    4,350
    Location:
    Pto. Vallarta
    Country:
    Mexico
    well I guess you haven't played many games cause from the time you got your ModChip there are tools like BrickBlocker, wich changes the update so no asking at all, and the error 001 can be solved either with a new ModChip as you mentioned, or with a patcher called GWP1.2 by Bailli, using it before burn...!!! [​IMG]
     
  3. games2007

    Member games2007 GBAtemp Regular

    Joined:
    Nov 28, 2008
    Messages:
    263
    Country:
    United States
    If you're using a US wii, and a Japanese game asks you to update, don't >_>
    You're going to get Japanese Firmware. Lolz
    Just get Softmii. I've played Tatsunoko vs Capcom. It's a pretty cool game, but it's hard XD
    I'm not very good at it.
     
  4. Ricj
    OP

    Newcomer Ricj Member

    Joined:
    Feb 14, 2009
    Messages:
    37
    Country:
    United States
    Yeah, i know that... what i wanted to know is that, if i put a NTSC-J game on my NTSC-U Wii and it dosent ask for an update... is it safe to play?

    Also, just by using this Softmii you could play Tatsunoko Vs Capcom?! Does it work without it?!
     
  5. ether2802

    Former Staff ether2802 we have the techno...!!

    Joined:
    Oct 14, 2007
    Messages:
    4,350
    Location:
    Pto. Vallarta
    Country:
    Mexico
    if it doesn't ask you for update then you can access directly to the game, but if you are on 3.1 and the game is not BrickBlock it I really doubt it doesn't ask, I mean it also have the 3.1 but with some newer IOS versions, you can also use GeckOS wich is the launcher for ModChip users, but the 001 error will still be there (if this game contains it)...!!! [​IMG]
     

Share This Page